diff -Nur -x '*.orig' -x '*.rej' ircd-hybrid-6.3.1/Makefile.in mezzanine_patched_ircd-hybrid-6.3.1/Makefile.in
--- ircd-hybrid-6.3.1/Makefile.in	Thu Dec  6 23:13:18 2001
+++ mezzanine_patched_ircd-hybrid-6.3.1/Makefile.in	Thu Feb 12 15:47:02 2004
@@ -134,5 +134,5 @@
 	done
 
 install: all
-	@./tools/install_ircd
+	@./tools/install_ircd $(DESTDIR)
 
diff -Nur -x '*.orig' -x '*.rej' ircd-hybrid-6.3.1/include/config.h mezzanine_patched_ircd-hybrid-6.3.1/include/config.h
--- ircd-hybrid-6.3.1/include/config.h	Thu Feb 12 15:48:39 2004
+++ mezzanine_patched_ircd-hybrid-6.3.1/include/config.h	Thu Feb 12 15:47:28 2004
@@ -100,16 +100,16 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
-#define CPATH   "ircd.conf"
-#define KPATH   "kline.conf"
-#define DLPATH  "kline.conf"
-#define MPATH   "ircd.motd"
-#define LPATH   "ircd.log"
-#define PPATH   "ircd.pid"
-#define HPATH   "opers.txt"
-#define OPATH   "opers.motd"
+#define DPATH   "/usr/lib/ircd/"
+#define SPATH   "/usr/bin/ircd"
+#define CPATH   "/etc/ircd/ircd.conf"
+#define KPATH   "/etc/ircd/kline.conf"
+#define DLPATH  "/etc/ircd/kline.conf"
+#define MPATH   "/etc/ircd/ircd.motd"
+#define LPATH   "/var/log/ircd.log"
+#define PPATH   "/var/run/ircd.pid"
+#define HPATH   "/etc/ircd/opers.txt"
+#define OPATH   "/etc/ircd/opers.motd"
 
 /* HIDE_OPS
  * Define this to prevent non chanops from seeing what ops a channel has
@@ -208,8 +208,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users"
-#define FNAME_OPERLOG "/usr/local/ircd/opers"
+#define FNAME_USERLOG "/usr/ircd/users"
+#define FNAME_OPERLOG "/usr/ircd/opers"
 
 /* RFC1035_ANAL
  * Defining this causes ircd to reject hostnames with non-compliant chars.
diff -Nur -x '*.orig' -x '*.rej' ircd-hybrid-6.3.1/src/ircd.c mezzanine_patched_ircd-hybrid-6.3.1/src/ircd.c
--- ircd-hybrid-6.3.1/src/ircd.c	Tue Feb  5 23:56:12 2002
+++ mezzanine_patched_ircd-hybrid-6.3.1/src/ircd.c	Thu Feb 12 15:47:02 2004
@@ -711,6 +711,9 @@
   {
   	fprintf(stderr, "ERROR: Don't run ircd as root!\n");
   	return -1;
+  } else {
+    setresgid(getegid(), getegid(), getegid());
+    setresuid(geteuid(), geteuid(), geteuid());
   }
 
   /*
diff -Nur -x '*.orig' -x '*.rej' ircd-hybrid-6.3.1/tools/install_ircd mezzanine_patched_ircd-hybrid-6.3.1/tools/install_ircd
--- ircd-hybrid-6.3.1/tools/install_ircd	Tue Jul  3 17:52:19 2001
+++ mezzanine_patched_ircd-hybrid-6.3.1/tools/install_ircd	Thu Feb 12 15:48:30 2004
@@ -10,15 +10,21 @@
 # Path to install-sh
 INSTALL_SH="autoconf/install-sh"
 
+if [ "x$1" != "x" ]; then
+    DESTDIR=$1
+else
+    DESTDIR=""
+fi
+
 #
 # dir_concat looks to see if we have an absolute or relative path
 # it echos $DPATH/<arg> if we have a relative path
 #
 dir_concat() {
   if [ ! -z "`echo $1 | grep '^/'`" ]; then
-    echo $1;
+    echo ${DESTDIR}$1;
   else
-    echo ${DPATH}$1;
+    echo ${DESTDIR}${DPATH}$1;
   fi;
 }
 
@@ -39,7 +45,7 @@
   fi
 }
 
-DPATH=`grep '#define.DPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+DPATH=${DESTDIR}`grep '#define.DPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 SPATH=`grep '#define.SPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 CPATH=`grep '#define.CPATH' include/config.h|awk '{print $3}'|tr -d \"`;
 KPATH=`grep '#define.KPATH' include/config.h|awk '{print $3}'|tr -d \"`;
@@ -153,9 +159,9 @@
 fi
 
 # install ircd.8
-dir_make ${DPATH}man8
-echo installing ircd.8 as ${DPATH}man8/ircd.8
-$INSTALL_SH -c doc/ircd.8 ${DPATH}man8/ircd.8
+dir_make ${DESTDIR}/usr/share/man/man8
+echo installing ircd.8 as ${DESTDIR}/usr/share/man/man8/ircd.8
+$INSTALL_SH -c doc/ircd.8 ${DESTDIR}/usr/share/man/man8/ircd.8
 
 # finished.
 echo install complete!
